/* B02_1x.h - header file for nespot.c
   @@ First Character "B" means 8. @@

   Copyleft 2002, Gye-Ok Jung (hook7346@kornet.net)
   All rights reserved under GPL.
*/

#ifndef _SYS_TYPES_H
#define _SYS_TYPES_H
#endif

/* 802.1x Authentication Header */
struct B02_1x_auth_header
{
  u_int8_t auth_version;
  u_int8_t auth_type;
  u_int16_t auth_length;
};

#define  EAP_DATA_LENGTH  100

/* Extensible Authentication Protocol */
struct eap_header
{
  u_int8_t eap_code;
  u_int8_t eap_id;
  u_int16_t eap_length;
  u_int8_t eap_type;
  u_char eap_data[EAP_DATA_LENGTH];
};

/* Caution : 
   eap_data's length is 100 Bytes, But this is for Received Packet from AP.
   Always, The packet that you send to AP contains eap_header whose length must be 50 Bytes. 
   Refer to Main Source "nespot.c"  -> #define LIBNET_802_1x_H  0x32
*/
